TITLE Anlisis Log-lineal.

* Tabla de contingencia entre la posesin de coche y la clase social.

DATA LIST FREE / Coche Clase FRE.
BEGIN DATA
1 1 650
1 2 1234
1 3 1430
2 1 64
2 2 333
2 3 1036
END DATA.

VARIABLE LABELS Coche 'Posesin de coche'
                               Clase 'Clase social'
           .
VALUE LABELS  Coche 1 ' S'  2 ' No'
                          /Clase 1 'Alta' 2 'Media' 3 'Baja'.
FORMATS Coche Clase (F1.0).
LIST Coche Clase FRE.
FREQUENCIES Coche Clase FRE.
WEIGHT BY FRE.
FREQUENCIES Coche Clase FRE.

* Tabla de contingencia.
CROSSTABS Coche BY Clase
 /CELLS=COUNT COLUMN EXPECTED ASRESID
 /STATISTICS CHISQ PHI.

* Log-lineal jerrquico: seleccin de modelo.
HILOGLINEAR Coche(1 2) Clase(1 3) 
  /METHOD=BACKWARD
  /CRITERIA MAXSTEPS(10) P(.05) ITERATION(20) DELTA(.5)
  /PRINT=FRE RESID ASSOCIATION ESTIM
  /DESIGN.

* Log-lineal general: estimacin de los parmetros del modelo de interdependencia jerrquico.
GENLOG Coche Clase
  /MODEL=MULTINOMIAL
  /PRINT=FRE RESID ADJRESID ZRESID DEV ESTIM CORR COV
  /PLOT=NONE
  /CRITERIA=CIN(95) ITERATE(20) CONVERGE(0.001) DELTA(.5).

* Log-lineal general: estimacin de los parmetros del modelo de interdependencia jerrquico.
GENLOG Coche Clase
  /MODEL=MULTINOMIAL
  /PRINT=FRE RESID ADJRESID ZRESID DEV ESTIM CORR COV
  /PLOT=NONE
  /CRITERIA=CIN(95) ITERATE(20) CONVERGE(0.001) DELTA(.5).

* Log-lineal general: anlisis logit.
GENLOG Coche BY Clase
  /MODEL=MULTINOMIAL
  /PRINT=FREQ RESID ADJRESID ZRESID DEV DESIGN ESTIM CORR COV
  /PLOT=NONE
  /CRITERIA=CIN(95) ITERATE(20) CONVERGE(0.001) DELTA(.5).

