TITLE Anlisis de regresin logstica.

*** Generacin e identificacin de los datos.

DATA LIST FREE/ EST ACT SEX FRE.

BEGIN DATA
1 1 1 72
1 2 1 47
2 1 1 110
2 2 1 196
3 1 1 44
3 2 1 179
1 1 2 86
1 2 2 38
2 1 2 173
2 2 2 283
3 1 2 28
3 2 2 187
END DATA.

VARIABLE LABELS EST "Nivel de estudios"
                ACT "Actitud: permanencia de la mujer en el hogar"
                SEX "Sexo".
VALUE LABELS EST 1 'Primarios' 2 'Secundarios' 3 'Superiores' /
                ACT 1 "De acuerdo" 2 "En desacuerdo" /
                SEX  1 'Varn' 2 'Mujer'.

FORMATS EST ACT SEX (F1.0).
WEIGHT BY FRE.

CROSSTABS ACT BY EST SEX /EST  BY SEX /ACT  BY EST  BY SEX
    /STATISTICS=CHISQ PHI
    /CELLS= COUNT EXPECTED COLUMN ASRESID
    /BARCHART.

*** Anlisis de regresin logstica.

LOGISTIC REGRESSION  ACT
  /METHOD = ENTER EST SEX
  /CONTRAST (EST)=Indicator
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT = GOODFIT CORR ITER(1) CI(95)
  /CRITERIA = PIN(.05) POUT(.10) ITERATE(20) CUT(.5) .

LOGISTIC REGRESSION  ACT
  /METHOD = ENTER EST
  /CONTRAST (EST)=Indicator
  /CLASSPLOT /CASEWISE OUTLIER(2)
  /PRINT = GOODFIT CORR ITER(1) CI(95)
  /CRITERIA = PIN(.05) POUT(.10) ITERATE(20) CUT(.5) .