* Fueron discriminadas las mujeres en la universidad de Berkeley en el acceso a los estudios de postgrado?

* D. A. Powers DA y Y. Xie (2008) en su libro Statistical Methods for Categorical Data Analysis
  San Diego: Academic Press, pg. 102, presentan este ejemplo extrado de un estudio realizado 
  en la University of California-Berkeley y referenciado en:
  Bickel, P. J.; Hammel, E. A. ; OConnell, J. W. (1975). Sex Bias in Graduate Admissions Data from Berkeley
  Science, 187 (4175): 398-404
  Freedman, D.; Pisani, R.; Purves, R. (1978). Statistics. New York: Norton.

SET TNUMBERS=BOTH TVARS=BOTH ONUMBERS=BOTH OVARS=BOTH. 

* Generacin e identificacin de los datos de la tabla de contingencia.
DATA LIST FREE / A S D (3F1.0) Frequencies (F3.0).
BEGIN DATA.
1	1	1	89
1	1	2	17
1	1	3	202
1	1	4	131
1	1	5	94
1	1	6	24
2	1	1	19
2	1	2	8
2	1	3	391
2	1	4	244
2	1	5	299
2	1	6	317
1	2	1	512
1	2	2	353
1	2	3	120
1	2	4	138
1	2	5	53
1	2	6	22
2	2	1	314
2	2	2	207
2	2	3	205
2	2	4	279
2	2	5	138
2	2	6	351
END DATA.

VARIABLE LABELS A "Admission outcome"
                               S "Sex of applicants"
                               D "Department".
VALUE LABELS  A 1 'Admitted' 2 'Rejected' 
		                       /S 1 'Woman' 2 'Men'
                         /D 1 'A' 2 'B' 3 'C' 4 'D' 5 'E' 6 'F'.
FORMATS A S (F1.0).
WEIGHT BY Frequencies.
FREQUENCIES ALL.
CROSSTABS  A BY S BY D.
TABLES /TABLE=S > D BY A.

CROSSTABS  A BY S D / D BY S /  A BY S BY D  
	/CELLS= COUNT COLUMN
 /STATISTICS=CHISQ PHI.

